> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dataerai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get apidatasets versions artifacts

> GET /datasets/{datasetId}/versions/{versionId}/artifacts —
lists artifacts produced for the version.



## OpenAPI

````yaml /api-reference/openapi.yaml get /api/datasets/{dataset_pk}/versions/{version_pk}/artifacts/
openapi: 3.0.3
info:
  title: Console API
  version: 1.0.0
  description: Central control plane API for the Dataerai platform.
servers:
  - url: https://{server}
    description: Your Dataerai deployment (the API is served under /api)
    variables:
      server:
        default: your-deployment.dataerai.com
        description: Host of your Dataerai deployment
security: []
paths:
  /api/datasets/{dataset_pk}/versions/{version_pk}/artifacts/:
    get:
      tags:
        - api
      description: |-
        GET /datasets/{datasetId}/versions/{versionId}/artifacts —
        lists artifacts produced for the version.
      operationId: api_datasets_versions_artifacts_list
      parameters:
        - in: path
          name: dataset_pk
          schema:
            type: string
            format: uuid
          required: true
        - in: path
          name: version_pk
          schema:
            type: string
            format: uuid
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ArtifactRegistry'
          description: ''
      security:
        - cookieAuthCsrfExempt: []
components:
  schemas:
    ArtifactRegistry:
      type: object
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        dataset_version:
          type: string
          format: uuid
          readOnly: true
        preprocessing_job:
          type: string
          format: uuid
          readOnly: true
        artifact_type:
          type: string
          readOnly: true
        storage_path:
          type: string
          readOnly: true
        size_bytes:
          type: integer
          readOnly: true
        checksum:
          type: string
          readOnly: true
        metadata:
          readOnly: true
        created_at:
          type: string
          format: date-time
          readOnly: true
      required:
        - artifact_type
        - checksum
        - created_at
        - dataset_version
        - id
        - metadata
        - preprocessing_job
        - size_bytes
        - storage_path

````